package com.example.databasedemo1;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.support.v4.widget.CursorAdapter;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;

public class MainActivity extends Activity {
    DatabaseManager dbMgr;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        ListView listView = (ListView) findViewById(
                R.id.listView);
        dbMgr = new DatabaseManager(this);
        
        Cursor cursor = dbMgr.getContactsCursor();
        startManagingCursor(cursor);

        ListAdapter adapter = new SimpleCursorAdapter(
            this,
            android.R.layout.two_line_list_item,
            cursor,
            new String[] {DatabaseManager.FIRST_NAME_FIELD, 
                    DatabaseManager.LAST_NAME_FIELD},
            new int[] {android.R.id.text1, android.R.id.text2},
            CursorAdapter.FLAG_REGISTER_CONTENT_OBSERVER); 

        listView.setAdapter(adapter);
        listView.setChoiceMode(ListView.CHOICE_MODE_SINGLE);
        listView.setOnItemClickListener(
                new OnItemClickListener() {
            @Override 
            public void onItemClick(AdapterView<?> adapterView,
                    View view, int position, long id) {
                Intent intent = new Intent(
                        getApplicationContext(),
                        ShowContactActivity.class);
                intent.putExtra("id", id);
                startActivity(intent);
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
    @Override 
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) { 
            case R.id.action_add:
                startActivity(new Intent(this, 
                        AddContactActivity.class));
                return true;
            default: 
                return super.onOptionsItemSelected(item); 
        } 
    }
}